import sys, os
import argparse

class InputArguments():
	def InputArgs(self): 
		parser = argparse.ArgumentParser()
		parser.add_argument('--filename', '-f', type=str, default="data_source_optimal_sizing_V01.xlsx", help=" Provide the name of the input data file (*.xlsx)")
		parser.add_argument('--solutiontype', '-s', type=int, default=1, choices=range(1, 3), help="Provide the type of solution you prefer: 1 (short); 2 (long)")

		args = parser.parse_args()

		filename = args.filename
		solution_type = args.solutiontype
		args_on = len(sys.argv) # = 1 if no arguments are passed to the program, != 1, otherwise 

		if args_on > 1:
			print("Input arguments were passed to the program!" )
			print("This is your input data file: " + args.filename)
			print("Type of solution selected: " + str(args.solutiontype))
		elif args_on == 1:
			print("No input arguments were passed to the program!")

		return filename, solution_type, args_on